Get the holder/buyer/addon field details

This api returns mapped attributes of buyer/holder and addon which required to fill data during ticket purchase.
To call this api, user have to pass event url, order id which was return in order generation api and authentication key to authenticate user.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Here is the description of response attributes, which returns in the form of JSON.

AttributeDescription
customDisclaimerIt will return disclaimer set by the event host.
discountCouponIt will return true if any discount coupon is available.
processingFeesToPurchaserIt will return true if the processing fees take from purchaser.
purchaserDetailIt will provide the following purchaser details.
addressRequiredIf address required than it will return true else false.
adminIf login user is admin than it will return true.
bidderNumberIt will return a bidder number.
countryCodeIt will return a login user's country code.
emailIt will return a login user's email id.
firstNameIt will return a login user's first name.
hasStaffAccessIt will return true if login user have staff access for specified event.
lastNameIt will return a login user's last name.
linkedCardIt will return attached card details with the event.
stripeCards.idIt will return a stripe card id.
stripeCards.last4It will return a last 4 digits of mapped stripe card.
stripeCards.expmonthIt will return a expiry month of mapped stripe card.
stripeCards.expyearIt will return a expiry year of mapped stripe card.
stripeCards.defaultCardIt will return if mapped card is default card for event.
stripeCards.cardTypeIt will return a card type details.
userIdIt will return unique user id, which is mapped with the user.
userProfilePhotoIt will return user's profile photo image id.
phonenumberIt will provide a user's phone number.
marketingOptInIt will return true if marketing option is enabled for the user.
ticketAttributeIt will provide a list of ticket attribute detials.
addOnsQuestionsIt will provide a details of add on custom questions.
attendeesIt will provide require attendee attributes.
attributesThis will provide different required attributes.
  • name
It will show required attributes name.
  • type
It will provide it's type. e.g. text, dropdown etc.
  • value
It will provide custom attributes value.
  • defaultValue
It will provide custom attributes default value.
  • mandatory
It will return true if attribute is required to fill.
  • eventTicketTypeId
It will return list of mapped ticket type id with specific attribute.
headerIt will provide selected ticket type's header.
tableIdIt will return table id.
tickettypeidIt will return selected ticket type id.
questionsIt will gives list of question added for attendee details.
buyerInformationFieldsIt will returns a require buyer attributes added for the specified ticket type.
buyerQuestions
couponCodeIt will return a coupon code.
discountAmountIt will return a discount amount.
hasAddOnAttributesIt will return true if add-on attributes are available.
hasHolderAttributesIt will return true if holder attributes are available.
onlyDonationTicketIt will return true if only donation will be available.
orderDataIt will return selected ticket type details.
avgTotalFeeIt will return a average total fee on ticket type.
idIt will return a ticket type id.
numberofticketIt will return number of selected tickets.
priceIt will return ticket price.
priceWithFeeIt will return total payable amount price with fees.
ticketTypeDescriptionIt will return a ticket type description.
ticketTypeNameIt will return a ticket type name.
orderIdIt will return order id, which generated based on the ticket reservation.
remainingSecondsIt will provide a remaining time to release the reserved tickets it order didn't confirmed.
showCellPhoneFieldIt will return true/false to show/hide phone number field.
totalPriceIt will return a total amount based on the selected tickets.

Here is the possible error messages, which return if any condition gets failed or required data is missing for processing.

Error CodeError Description
4040200No Event could be found.
4060426Order is already paid.
4060425You have not completed checkout in the allotted time. Please click here to restart the checkout process.
4040100No User could be found
Path Params
string
required

Pass event URL for which event's custom fields required during ticket purchase.

int64
required

Pass the orderid here so that in further process details filled by user get's stored.

Query Params
int64
Defaults to 0

Pass the recurring event id.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json